org.richfaces.resource.optimizer.vfs.zip

## Class ZipVFSRoot

- java.lang.Object
- - org.richfaces.resource.optimizer.vfs.zip.ZipVFSFile
  - - org.richfaces.resource.optimizer.vfs.zip.ZipVFSRoot

- All Implemented Interfaces:
    Closeable, AutoCloseable, VFSRoot, VirtualFile

      public class ZipVFSRoot
      extends ZipVFSFile
      implements VFSRoot

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipVFSRoot(File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `InputStream` | `getInputStream()`
    `VFSType` | `getType()`
    `void` | `initialize()`
    `URL` | `toURL()`

    - ### Methods inherited from class org.richfaces.resource.optimizer.vfs.zip.ZipVFSFile

      `getChild, getChild, getChildren, getName, getRelativePath, getZipFile, getZipNode, isDirectory, isFile, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.resource.optimizer.vfs.VirtualFile

      `getChild, getChild, getChildren, getName, getRelativePath, isDirectory, isFile`

- - ### Constructor Detail

    - #### ZipVFSRoot

          public ZipVFSRoot(File file)
                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### initialize

          public void initialize()
                          throws IOException

      Specified by:
        `initialize` in interface `VFSRoot`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### getType

          public VFSType getType()

      Specified by:
        `getType` in interface `VFSRoot`

    - #### toURL

          public URL toURL()
                    throws MalformedURLException

      Specified by:
        `toURL` in interface `VFSRoot`
      Throws:
        `MalformedURLException`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in interface `VirtualFile`
      Overrides:
        `getInputStream` in class `ZipVFSFile`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.